<?php

/*
'#################################################################
'# 程序名称：中环CMSV2.0
'# 授权方式：免费软件
'# 作者：善
'# 联系QQ:9118847
'# 作者网站:http://www.ps173.com
'# 发布时间：2015-6-10
'# 声明：欢迎广大的PHP爱好者一起共同探讨
'# 声明：各种用途均可免费使用、自由传播，但必须保留程序代码中的版权信息。
'#################################################################
 */

//分组模型类
class GroupModel extends Model{
		//成员初始化
	public function __construct(){
		parent::__construct();
		$this->tabname = TAB_FIX."group";
		$this->tabkey = array("id", "groname", "info", "login", "gro", "main", "nav", "article", "cent", "adver", "link");

	}

		//删除分组
	public function delete($id){
		if(D("user")->total(array('gid'=>$id)) > 0){
			val::mess('请将该分组的所有成员移动到其他分组中再删除');
		}else{
			return $this->del($id);
		}
	}
		//返回一条数据
	public function gro_one($id){
		return $this->where(array("id"=>$id))->one();
	}
		//检测用户是否有登陆后台的权限
	public function manage($user){
		$user = !empty($user) ? $user : false;
		$main = $this->field("groname, login, gro, main, nav, article, cent, adver, link")->where(array("id"=>$user['gid']))->one();
		return array_merge($main, $user);;
	}
		//修改分组权限
	public function update($post){
		$post['login'] = !empty($post['login']) ? $post['login'] : 0;
		$post['gro'] = !empty($post['gro']) ? $post['gro'] : 0;
		$post['main'] = !empty($post['main']) ? $post['main'] : 0;
		$post['nav'] = !empty($post['nav']) ? $post['nav'] : 0;
		$post['article'] = !empty($post['article']) ? $post['article'] : 0;
		$post['cent'] = !empty($post['cent']) ? $post['cent'] : 0;
		$post['adver'] = !empty($post['adver']) ? $post['adver'] : 0;
		$post['link'] = !empty($post['link']) ? $post['link'] : 0;
		return $this->mod($post);
	}
		//检测分组是否存在
	public function checkname($name){
		return $this->field("id")->where(array("groname"=>$name))->one();
	}
		//输出所有分组
	public function all_gro(){
		return $this->field("id, groname, info")->all();
	}
		//添加分组
	public function insert($post){
		return $this->add($post);
	}

}

?>